org.gradle.tooling.model.gradle

## Interface GradleBuild

-     @Incubating
      public interface GradleBuild

  Provides information about the structure of a Gradle build.
  Since:
    1.8

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomainObjectSet<? extends BasicGradleProject>` | `getProjects()` Returns the set of all projects for this build.
    `BasicGradleProject` | `getRootProject()` Returns the root project for this build.

- - ### Method Detail

    - #### getRootProject

          BasicGradleProject getRootProject()

      Returns the root project for this build.
      Returns:
        The root project

    - #### getProjects

          DomainObjectSet<? extends BasicGradleProject> getProjects()

      Returns the set of all projects for this build. Will include the root project and any ancestors.
      Returns:
        The set of all projects.